Bug 1032767 - Examples of the targetattrfilters ACI keyword need to be documented
Examples of the targetattrfilters ACI keyword need to be documented
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
10.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 14:46 EST by Nathan Kinder
Modified: 2017-03-14 06:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-14 06:33:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-11-20 14:46:33 EST
The Administration Guide has no examples of usage of the "targetattrfilters" ACI keyword.  We simply mention what it can be used for with a very brief description.  We should add some real examples to show how it is used.  The DS source code has some explanation, but I think development will need to provide more details and examples for the docs:

        /*
         * Check to see if we need to evaluate any targetattrfilters.
         * They look as follows:
         * (targetattrfilters="add=sn:(sn=rob) && gn:(gn!=byrne),
         *                                         del=sn:(sn=rob) && gn:(gn=byrne)")
         *
         * For ADD/DELETE:
         * If theres's a targetattrfilter then each add/del filter
         * that applies to an attribute in the entry, must be satisfied
         * by each value of the attribute in the entry.
         *
         * For MODIFY:
         *      If there's a targetattrfilter then the add/del filter
         * must be satisfied by the attribute to be added/deleted.
         * (MODIFY acl is evaluated one value at a time).
         *
         *
         */
Comment 1 Martin Kosek 2014-05-28 11:14:57 EDT
Note that

https://access.redhat.com/site/documentation/en-US/Red_Hat_Directory_Server/9.0/html/Administration_Guide/Managing_Access_Control-Creating_ACIs_Manually.html#Creating_ACIs_Manually-Defining_Targets

talks about "targattrfilters" and not "targetattrfilters" - this also makes it harder to find...
Comment 2 Deon Ballard 2014-07-10 12:49:00 EDT
Reassigning to Tomas.
Comment 3 Marc Muehlfeld 2017-01-17 08:42:47 EST
(In reply to Martin Kosek from comment #1)
> https://access.redhat.com/site/documentation/en-US/Red_Hat_Directory_Server/
> 9.0/html/Administration_Guide/Managing_Access_Control-Creating_ACIs_Manually.
> html#Creating_ACIs_Manually-Defining_Targets
> 
> talks about "targattrfilters" and not "targetattrfilters" - this also makes
> it harder to find...

I replaced all occurrences of the incorrect keyword in the Admin Guide (DS-9, 10.1, and master branch).
Comment 9 Marc Muehlfeld 2017-03-14 06:33:25 EDT
The update is now available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.